PETSc version 3.15.5
Fix/Edit manual page

# TSComputeCostIntegrand

Evaluates the integral function in the cost functions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeCostIntegrand(TS ts,PetscReal t,Vec U,Vec Q)

### Input Parameters

| ts | - the TS context
| t | - current time
| U | - state vector, i.e. current solution

### Output Parameter

| Q | - vector of size numcost to hold the outputs

### Notes

Most users should not need to explicitly call this routine, as it is used internally within the sensitivity analysis context.

### See Also

TSSetCostIntegrand()

### Level

deprecated

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages